/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: WindowPanel.java,v 1.2 2005/09/17 17:33:43 rampil Exp $
 */
package org.logical_paradox.common.swing;

import javax.swing.JFrame;
import javax.swing.JPanel;

/**
 * ウィンドウに貼り付けるパネルの基底クラス
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public abstract class WindowPanel extends JPanel {
	/** 親フレーム */
	private JFrame parent;

	/**
	 * 親フレームをアタッチする．
	 * @param p 親フレーム
	 */
	public void setParentFrame(JFrame p) {
		parent = p;
	}
	/**
	 * 親フレームを返す．
	 * @return 親フレーム
	 */
	protected JFrame getParentFrame() {
		return parent;
	}
	/**
	 * パネルを初期化する
	 */
	protected abstract void init();
}
